Appearance
GET
/web-pages/page/layouts/{layoutId}Required scope:
viskan:webpage:readRetrieves a layout by ID.
Parameters
Path parameters
layoutId string Format:
uuidUnique identifier of the layout to retrieve.
Response
The layout information including sections.
JSON
{
"layoutId": "acbbeca5-e63d-49fb-ba71-f32ba63e6073",
"layoutName": "Start Page layout",
"layoutDescription": "Layout created for start pages",
"layoutType": "START_PAGE",
"sections": [
{
"layoutSectionId": "be0111c5-a24b-47bd-86f7-77c12d632bdc",
"sectionId": "fb831d92-c7b3-42fe-ac92-a2c2014d72f6",
"sectionName": "Start Page Hero",
"sectionDescription": "Section for the start page displaying an image and text",
"sectionType": "IMAGE_AND_TEXT",
"content": "<p>{4dd9fd6f-9403-49e6-83df-2550abac538e}</p><image url={a8eecb0e-b06a-4b2c-882f-376cff259454}>",
"variables": [
{
"variableId": "4dd9fd6f-9403-49e6-83df-2550abac538e",
"variableName": "Hero paragraph",
"variableType": "TEXT"
}
]
}
]
}
| Error code | Description |
|---|---|
web-pages.retrieve-layout.layout-not-found | Could not find the layout by ID. |